Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextFrameFormat.BorderStyle

    java.lang.Object
      java.lang.Enum<QTextFrameFormat.BorderStyle>
          com.trolltech.qt.gui.QTextFrameFormat.BorderStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextFrameFormat.BorderStyle>

Enclosing class:
  QTextFrameFormat

    public static enum QTextFrameFormat.BorderStyle

extends java.lang.Enum<QTextFrameFormat.BorderStyle>
implements QtEnumerator

Press link for info on QTextFrameFormat.BorderStyle

Enum Constant Summary
`BorderStyle_Dashed` Internal.
`BorderStyle_DotDash` Internal.
`BorderStyle_DotDotDash` Internal.
`BorderStyle_Dotted` Internal.
`BorderStyle_Double` Internal.
`BorderStyle_Groove` Internal.
`BorderStyle_Inset` Internal.
`BorderStyle_None` Internal.
`BorderStyle_Outset` Internal.
`BorderStyle_Ridge` Internal.
`BorderStyle_Solid` Internal.

Method Summary
`static QTextFrameFormat.BorderStyle` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextFrameFormat.BorderStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextFrameFormat.BorderStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BorderStyle_None

    public static final QTextFrameFormat.BorderStyle BorderStyle_None

  Internal.

### BorderStyle_Dotted

    public static final QTextFrameFormat.BorderStyle BorderStyle_Dotted

  Internal.

### BorderStyle_Dashed

    public static final QTextFrameFormat.BorderStyle BorderStyle_Dashed

  Internal.

### BorderStyle_Solid

    public static final QTextFrameFormat.BorderStyle BorderStyle_Solid

  Internal.

### BorderStyle_Double

    public static final QTextFrameFormat.BorderStyle BorderStyle_Double

  Internal.

### BorderStyle_DotDash

    public static final QTextFrameFormat.BorderStyle BorderStyle_DotDash

  Internal.

### BorderStyle_DotDotDash

    public static final QTextFrameFormat.BorderStyle BorderStyle_DotDotDash

  Internal.

### BorderStyle_Groove

    public static final QTextFrameFormat.BorderStyle BorderStyle_Groove

  Internal.

### BorderStyle_Ridge

    public static final QTextFrameFormat.BorderStyle BorderStyle_Ridge

  Internal.

### BorderStyle_Inset

    public static final QTextFrameFormat.BorderStyle BorderStyle_Inset

  Internal.

### BorderStyle_Outset

    public static final QTextFrameFormat.BorderStyle BorderStyle_Outset

  Internal.

Method Detail

### values

    public static final QTextFrameFormat.BorderStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextFrameFormat.BorderStyle c : QTextFrameFormat.BorderStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextFrameFormat.BorderStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextFrameFormat.BorderStyle resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD